#### Previous topic

scipy.linalg.interpolative.svd

#### Next topic

scipy.linalg.interpolative.estimate_spectral_norm_diff

# scipy.linalg.interpolative.estimate_spectral_norm

`scipy.linalg.interpolative.``estimate_spectral_norm`(A, its=20)

  Estimate spectral norm of a matrix by the randomized power method.

  Parameters:

  A : `scipy.sparse.linalg.LinearOperator`

  > Matrix given as a `scipy.sparse.linalg.LinearOperator` with the matvec and rmatvec methods (to apply the matrix and its adjoint).

  its : int, optional

  > Number of power method iterations.

  Returns:

  float

  > Spectral norm estimate.